<!--
  ~ SSD - Sistema per il dimensionamento scolastico
  ~ Copyright (c) 2020 ARTI - Agenzia Regionale per la Tecnologia e l'Innovazione della Regione Puglia.
  ~
  ~ This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License along with this program. If not, see https://www.gnu.org/licenses/agpl-3.0.txt.
  -->

<div class="card">
    <div class="card-body">
        <div class="d-flex">
            <div>
                <h3 class="card-title"><span class="lstick"></span>{{title}}
                    <button class="btn btn-outline-info ml-2" (click)="exportCsv()"> Export CSV</button>
                </h3>
            </div>
        </div>

        <div class="row py-4">

            <div *ngIf="province" class="col-xl-3 col-lg-3 col-md-2 col-sm-12 col-xs-12">
                <label for="provincia"> Filtra per provincia
                    <select class="form-control " name="provincia" id="provincia"
                            [(ngModel)]="provinciaSelected" (change)="filter()">
                        <option value="Tutti">Tutti</option>

                        <option [value]="provincia "
                                *ngFor="let provincia of province ">{{provincia}}</option>
                    </select>
                </label>
                <p><span class="font-weight-bold">Filtro selezionato: {{provinciaSelected}}</span></p>
            </div>

            <div *ngIf="comuni && provinciaSelected !='Tutti'"
                 class="col-xl-3 col-lg-3 col-md-3 col-sm-12 col-xs-12">
                <label for="comuni"> Seleziona comune
                    <select class="form-control " name="comuni " id="comuni" [(ngModel)]="comuneSelected"
                            (change)="filter()">
                        <option value="Tutti">Tutti</option>

                        <option [value]="comune.nome " *ngFor="let comune of comuni ">{{comune.nome}}</option>
                    </select>
                </label>
                <p><span class="font-weight-bold">Filtro per comune: {{comuneSelected}}</span></p>
            </div>
        </div>
        <div class="row">
            <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12 ">

                <p-progressBar mode="indeterminate" *ngIf="isLoading"></p-progressBar>
                <p-table [value]="rows" [scrollable]="true" scrollHeight="50vh"
                         [style]="{width:'100%'}"
                         selectionMode="single" [(selection)]="comuneSelezionato">
                    <ng-template pTemplate="colgroup" let-columns>
                        <colgroup>
                            <col [style.width]="'180px'">
                            <col [style.width]="'180px'">
                            <col [style.width]="'120px'">

                            <col [style.width]="'120px'">
                            <col [style.width]="'120px'">
                            <col [style.width]="'150px'">
                            <col [style.width]="'120px'">
                            <col [style.width]="'150px'">

                            <col [style.width]="'120px'">
                            <col [style.width]="'120px'">
                            <col [style.width]="'150px'">
                            <col [style.width]="'120px'">
                            <col [style.width]="'150px'">

                            <col [style.width]="'120px'">
                            <col [style.width]="'120px'">
                            <col [style.width]="'150px'">
                            <col [style.width]="'120px'">
                            <col [style.width]="'150px'">

                            <col [style.width]="'120px'">
                            <col [style.width]="'120px'">
                            <col [style.width]="'150px'">
                            <col [style.width]="'120px'">
                            <col [style.width]="'150px'">

                            <col [style.width]="'120px'">
                            <col [style.width]="'120px'">
                            <col [style.width]="'150px'">
                            <col [style.width]="'120px'">
                            <col [style.width]="'150px'">
                        </colgroup>
                    </ng-template>
                    <ng-template pTemplate="header">
                        <tr>
                            <th colspan="3"></th>
                            <th class="text-center" colspan="25">Popolazione al 1° Gennaio</th>
                        </tr>
                        <tr>
                            <th rowspan="3">Provincia
                            </th>
                            <th rowspan="3">Comune

                            </th>
                            <th rowspan="3" class="text-center">Popolazione totale Istat 2019
                            </th>
                            <th colspan="5" class="text-center">3 - 13</th>
                            <th colspan="5" class="text-center">3 - 5</th>
                            <th colspan="5" class="text-center">6 - 10</th>
                            <th colspan="5" class="text-center">11 - 13</th>
                            <th colspan="5" class="text-center">14 - 18</th>
                        </tr>
                        <!--                    3-->
                        <tr>

                            <th colspan="3" class="text-center">Popolazione ISTAT</th>
                            <th colspan="2" class="text-center">Previsioni</th>
                            <th colspan="3" class="text-center">Popolazione ISTAT</th>
                            <th colspan="2" class="text-center">Previsioni</th>
                            <th colspan="3" class="text-center">Popolazione ISTAT</th>
                            <th colspan="2" class="text-center">Previsioni</th>
                            <th colspan="3" class="text-center">Popolazione ISTAT</th>
                            <th colspan="2" class="text-center">Previsioni</th>
                            <th colspan="3" class="text-center">Popolazione ISTAT</th>
                            <th colspan="2" class="text-center">Previsioni</th>

                        </tr>
                        <tr>


                            <th class="text-center">2015</th>
                            <th class="text-center">2019</th>
                            <th class="text-center">Variazione media annua 2019 – 2015 %</th>
                            <th class="text-center">2023</th>
                            <th class="text-center">Variazione media annua 2023 – 2019 %</th>

                            <th class="text-center">2015</th>
                            <th class="text-center">2019</th>
                            <th class="text-center">Variazione media annua 2019 – 2015 %</th>
                            <th class="text-center">2023</th>
                            <th class="text-center">Variazione media annua 2023 – 2019 %</th>

                            <th class="text-center">2015</th>
                            <th class="text-center">2019</th>
                            <th class="text-center">Variazione media annua 2019 – 2015 %</th>
                            <th class="text-center">2023</th>
                            <th class="text-center">Variazione media annua 2023 – 2019 %</th>

                            <th class="text-center">2015</th>
                            <th class="text-center">2019</th>
                            <th class="text-center">Variazione media annua 2019 – 2015 %</th>
                            <th class="text-center">2023</th>
                            <th class="text-center">Variazione media annua 2023 – 2019 %</th>

                            <th class="text-center">2015</th>
                            <th class="text-center">2019</th>
                            <th class="text-center">Variazione media annua 2019 – 2015 %</th>
                            <th class="text-center">2023</th>
                            <th class="text-center">Variazione media annua 2023 – 2019 %</th>


                        </tr>
                    </ng-template>

                    <ng-template pTemplate="body" let-row>
                        <tr [pSelectableRow]="row">
                            <td>{{row.provincia}}</td>
                            <td>{{row.comune}}</td>

                            <td class="text-right">{{row.popTot2019|number}}</td>

                            <td class="text-right">{{row.pop_3_13_2015|number}}</td>
                            <td class="text-right">{{row.pop_3_13_2019|number}}</td>
                            <td class="text-right">{{row.var_3_13_2019_2015 / 100|percent:'1.0-2'}}</td>
                            <td class="text-right">{{row.prev_3_13_2023|number}}</td>
                            <td class="text-right">{{row.var_3_13_2023_2019 / 100|percent:'1.0-2'}}</td>

                            <td class="text-right">{{row.pop_3_5_2015|number}}</td>
                            <td class="text-right">{{row.pop_3_5_2019|number}}</td>
                            <td class="text-right">{{row.var_3_5_2019_2015 / 100|percent:'1.0-2'}}</td>
                            <td class="text-right">{{row.prev_3_5_2023|number}}</td>
                            <td class="text-right">{{row.var_3_5_2023_2019 / 100|percent:'1.0-2'}}</td>

                            <td class="text-right">{{row.pop_6_10_2015|number}}</td>
                            <td class="text-right">{{row.pop_6_10_2019|number}}</td>
                            <td class="text-right">{{row.var_6_10_2019_2015 / 100|percent:'1.0-2'}}</td>
                            <td class="text-right">{{row.prev_6_10_2023|number}}</td>
                            <td class="text-right">{{row.var_6_10_2023_2019 / 100|percent:'1.0-2'}}</td>

                            <td class="text-right">{{row.pop_11_13_2015|number}}</td>
                            <td class="text-right">{{row.pop_11_13_2019|number}}</td>
                            <td class="text-right">{{row.var_11_13_2019_2015 / 100|percent:'1.0-2'}}</td>
                            <td class="text-right">{{row.prev_11_13_2023|number}}</td>
                            <td class="text-right">{{row.var_11_13_2023_2019 / 100|percent:'1.0-2'}}</td>

                            <td class="text-right">{{row.pop_14_18_2015|number}}</td>
                            <td class="text-right">{{row.pop_14_18_2019|number}}</td>
                            <td class="text-right">{{row.var_14_18_2019_2015 / 100|percent:'1.0-2'}}</td>
                            <td class="text-right">{{row.prev_14_18_2023|number}}</td>
                            <td class="text-right">{{row.var_14_18_2023_2019 / 100|percent:'1.0-2'}}</td>
                        </tr>
                    </ng-template>
                    <ng-template pTemplate="summary">
                        <div style="text-align: left">
                            Comune selezionato: {{comuneSelezionato ? comuneSelezionato.comune : 'Nessuno'}}
                        </div>
                    </ng-template>
                    <!--                    <ng-template pTemplate="footer">-->
                    <!--                        <tr>-->
                    <!--                            <td colspan="28"></td>-->
                    <!--                        </tr>-->
                    <!--                    </ng-template>-->
                </p-table>
            </div>
        </div>
        <div *ngIf="comuneSelezionato" class="py-5">
            <div class="d-flex">
                <div>
                    <h3 class="card-title">{{comuneSelezionato.comune}}</h3>
                </div>
            </div>
            <div class="row" *ngIf="comuneSelezionato">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-xs-12 " *ngIf="comuneSelezionato">

                    <p class="py-1"> Trend per fasce d'età</p>
                    <app-demografia-comune [demografiaComune]="comuneSelezionato"></app-demografia-comune>

                </div>
            </div>
        </div>
    </div>
</div>
